Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageIdealLowPass Class Reference

`#include <vtkImageIdealLowPass.h>`

Inheritance diagram for vtkImageIdealLowPass:

[legend]
Collaboration diagram for vtkImageIdealLowPass:

[legend]
List of all members.

## Detailed Description

Simple frequency domain band pass.

Date:
  2002/01/22 15:32:46

Revision:
  1.21

This filter only works on an image after it has been converted to frequency domain by a vtkImageFFT filter. A vtkImageRFFT filter can be used to convert the output back into the spatial domain. vtkImageIdealLowPass just sets a portion of the image to zero. The result is an image with a lot of ringing. Input and Output must be floats. Dimensionality is set when the axes are set. Defaults to 2D on X and Y axes.

See also:
  vtkImageButterworthLowPass vtkImageIdealHighPass vtkImageFFT vtkImageRFFT

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (73%)
  - Lorensen, Bill (10%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageIdealLowPass.h)`
  - .`cxx` (`/Imaging/vtkImageIdealLowPass.cxx)`

Tests:
  vtkImageIdealLowPass (Tests)

Definition at line 55 of file vtkImageIdealLowPass.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCutOff (float, float, float)
virtual void | SetCutOff (float[3])
void | SetCutOff (float v)
void | SetXCutOff (float v)
void | SetYCutOff (float v)
void | SetZCutOff (float v)
virtual float * | GetCutOff ()
virtual void | GetCutOff (float &, float &, float &)
virtual void | GetCutOff (float[3])
float | GetXCutOff ()
float | GetYCutOff ()
float | GetZCutOff ()
## Static Public Methods
vtkImageIdealLowPass * | New ()
int | IsTypeOf (const char *type)
vtkImageIdealLowPass * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageIdealLowPass ()
| ~vtkImageIdealLowPass ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
float | CutOff [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageIdealLowPass::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 59 of file vtkImageIdealLowPass.h.

## Constructor & Destructor Documentation

vtkImageIdealLowPass::vtkImageIdealLowPass | ( |  | ) | `[protected]`

vtkImageIdealLowPass::~vtkImageIdealLowPass | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkImageIdealLowPass.h.

## Member Function Documentation

vtkImageIdealLowPass* vtkImageIdealLowPass::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageIdealLowPass::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageIdealLowPass::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageIdealLowPass::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageIdealLowPass* vtkImageIdealLowPass::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageIdealLowPass::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageIdealLowPass::SetCutOff | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealLowPass::SetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealLowPass::SetCutOff | ( | float | v | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 67 of file vtkImageIdealLowPass.h.

void vtkImageIdealLowPass::SetXCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealLowPass::SetYCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealLowPass::SetZCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual float* vtkImageIdealLowPass::GetCutOff | ( |  | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealLowPass::GetCutOff | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealLowPass::GetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

float vtkImageIdealLowPass::GetXCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 72 of file vtkImageIdealLowPass.h.

float vtkImageIdealLowPass::GetYCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 73 of file vtkImageIdealLowPass.h.

float vtkImageIdealLowPass::GetZCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 74 of file vtkImageIdealLowPass.h.

void vtkImageIdealLowPass::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageIdealLowPass::CutOff[3]`[protected]`

| Definition at line 81 of file vtkImageIdealLowPass.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageIdealLowPass.h